SoPickAction(3IV)

NAME
SoPickAction — abstract base class for picking objects in a scene

INHERITS FROM
SoAction > SoPickAction

SYNOPSIS
#include <Inventor/actions/SoPickAction.h>

Methods from class SoPickAction:

void
setViewportRegion(const SbViewportRegion &newRegion)
const SbViewportRegion &
getViewportRegion() const

Methods from class SoAction:

virtual void
apply(SoNode *node)
virtual void
apply(SoPath *path)
virtual void
apply(const SoPathList &pathList, SbBool obeysRules = FALSE)
static SoType
getClassTypeId()
virtual SoType
getTypeId()
virtual SbBool
isOfType(SoType type)
virtual void
invalidateState()

DESCRIPTION
This is an abstract base class for all picking actions. Currently, the only supported subclass is the SoRayPickAction.

METHODS
void
setViewportRegion(const SbViewportRegion &newRegion)
const SbViewportRegion &
getViewportRegion() const
Sets/returns current viewport region to use for action. Even though the picking operation may not involve a window per se, some nodes need this information to determine their size and placement.

SEE ALSO
SoRayPickAction